Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3
Class RuleSetBase

    java.lang.Object
      org.apache.commons.digester3.RuleSetBase

All Implemented Interfaces:
  RuleSet

    public abstract class RuleSetBase

extends Object
implements RuleSet

Convenience base class that implements the `RuleSet` interface. Concrete implementations should list all of their actual rule creation logic in the `addRuleSet()` implementation.

Constructor Summary
`RuleSetBase()` Build a new RuleSetBase with a null namespaceURI
`RuleSetBase(String namespaceURI)` Build a new RuleSetBase with the given namespaceURI

Method Summary
`String` | `getNamespaceURI()` Return the namespace URI that will be applied to all Rule instances created from this RuleSet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.digester3.RuleSet
`addRuleInstances`

Constructor Detail

### RuleSetBase

    public RuleSetBase()

  Build a new RuleSetBase with a null namespaceURI

### RuleSetBase

    public RuleSetBase(String namespaceURI)

  Build a new RuleSetBase with the given namespaceURI

  Parameters:
    `namespaceURI` - The namespace URI that all Rule instances will be associated with.
  Since:
    3.0

Method Detail

### getNamespaceURI

    public String getNamespaceURI()

  Return the namespace URI that will be applied to all Rule instances created from this RuleSet.

  Specified by:
    `getNamespaceURI` in interface `RuleSet`
  Returns:
    the namespace URI that will be applied to all Rule instances created from this RuleSet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.